%global momorel 1
%global betaver 21.5
%global patchlevel 29
%global relver %{betaver}.%{patchlevel}

%define xver %(echo %{version} | sed -e 's/\\.\\([0-9]\\+\\)$/-b\\1/')
#%%define xbuild %(echo %{_build} | sed -e 's/^\\([^-]*-[^-]*-[^-]*\\).*/\\1/')
%define xbuild %{_target_cpu}-momonga-linux

Name: xemacs

### include local configuration
%{?include_specopt}

### default configurations
#  If you'd like to change these configurations, please copy them to
# ~/rpm/specopt/xemacs.specopt and edit it.
%{?!with_xft: %global with_xft 0}
%{?!with_gtk1: %global with_gtk1 0}
%{?!with_db: %global with_db 0}
%{?!with_postgresql: %global with_postgresql 0}
%{?!with_ldap: %global with_ldap 0}
%{?!with_stackprot: %global with_stackprot 0}
%{?!with_modules: %global with_modules 0}

Summary: XEmacs is the extensible, customizable, self-documenting real-time display editor
Version: %{relver}
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: Applications/Editors
URL: http://www.xemacs.org/
Source0: ftp://core.ring.gr.jp/pub/text/%{name}/%{name}-%{betaver}/%{name}-%{relver}.tar.gz
NoSource: 0
Source10: xemacs-editclient
Source11: xemacs.desktop
Source12: xemacs-init.el

Patch0: xemacs-21.5.26-utf8-fonts.patch
Patch1: xemacs-21.5.25-x-paths.patch
Patch3: xemacs-21.5.25-mk-nochk-features.patch
Patch4: xemacs-21.5.27-no-expdyn-ia64-106744.patch
Patch5: xemacs-21.5.25-wnnfix-128362.patch
Patch8: xemacs-21.5.28-courier-default.patch
Patch9: xemacs-21.5.29-destdir.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXext-devel
BuildRequires: libXi-devel
BuildRequires: libXpm-devel
BuildRequires: gpm-devel >= 1.20.5
BuildRequires: ncurses-devel
BuildRequires: libjpeg-devel
BuildRequires: libtiff-devel
BuildRequires: libpng-devel >= 1.2.2
BuildRequires: compface-devel
BuildRequires: imlib-devel
BuildRequires: zlib-devel
BuildRequires: alsa-lib-devel
BuildRequires: audiofile-devel >= 0.2.1
BuildRequires: esound-devel
%if %{with_xft}
BuildRequires: libXft-devel
%endif
%if %{with_gtk1}
BuildRequires: glib1-devel
BuildRequires: gtk+1-devel
BuildRequires: libglade-devel
BuildRequires: gnome-libs-devel
%else
BuildRequires: xorg-x11-xbitmaps
%endif
%if %{with_db}
BuildRequires: db4-devel >= 4.3
%endif
%if %{with_postgresql}
BuildRequires: postgresql-devel
%endif
%if %{with_ldap}
BuildRequires: openldap-devel
%endif
PreReq: chkconfig
PreReq: info
Provides: emacsen
Obsoletes: xemacs-Canna, xemacs-Wnn, xemacs-beta, xemacs-utf-2000

%description
XEmacs (formerly known as Lucid Emacs) is a powerful, extensible text
editor with full GUI support, initially based on an early version of
GNU Emacs 19 from the Free Software Foundation and since kept up to
date with recent versions of that product.  XEmacs stems from a
collaboration of Lucid, Inc. with Sun Microsystems, Inc. and the
University of Illinois with additional support having been provided by
Amdahl Corporation, INS Engineering Corporation, and a huge amount of
volunteer effort.

%prep
%setup -q -n xemacs-%{relver}
find . -type f -name "*.elc" -o -name "*.info*" | xargs rm -f
rm -f configure.in
sed -i -e /tetris/d lisp/menubar-items.el
%patch0 -p1
%patch1 -p1
%patch3 -p1
%ifarch ia64
touch -r aclocal.m4 aclocal.m4-stamp
%patch4 -p1
touch -r aclocal.m4-stamp aclocal.m4
%endif
%patch5 -p1
%patch8 -p0
%patch9 -p1

sed -i -e 's/"lib"/"%{_lib}"/' lisp/setup-paths.el

autoconf --force # for DESTDIR patch

for f in man/lispref/mule.texi man/xemacs-faq.texi CHANGES-beta ; do
    iconv -f iso-8859-1 -t utf-8 -o $f.utf8 $f ; mv $f.utf8 $f
done

%build
CFLAGS="${CFLAGS:-$RPM_OPT_FLAGS -fno-strict-aliasing}"
%if !%{with_stackprot}
CFLAGS="$(echo $CFLAGS | sed -e 's/-fstack-protector\s*//g')"
CFLAGS="$(echo $CFLAGS | sed -e 's/--param=ssp-buffer-size=[0-9]\+\s*//')"
%endif
%if %{with_gtk1}
CFLAGS="$CFLAGS $(pkg-config libglade --cflags)"
%endif
export CFLAGS
export EMACSLOADPATH=$PWD/lisp:$PWD/lisp/mule

./configure \
  %{_target_cpu}-momonga-linux \
  --prefix=%{_prefix} \
  --libdir=%{_libdir} \
  --datadir=%{_datadir} \
  --mandir=%{_mandir}/man1 \
  --infodir=%{_infodir} \
  --with-archlibdir=%{_libdir}/xemacs-%{xver}/%{xbuild} \
%if %{with_modules}
  --with-moduledir=%{_libdir}/xemacs-%{xver}/%{xbuild}/modules \
%endif
  --with-lispdir=%{_datadir}/xemacs-%{xver}/lisp \
  --with-etcdir=%{_datadir}/xemacs-%{xver}/etc \
  --with-system-packages=%{_datadir}/xemacs \
  --docdir=%{_libdir}/xemacs-%{xver}/doc \
  --with-gcc \
  --with-dynamic \
  --with-site-lisp \
%if %{with_xft}
  --with-xft=all \
%else
  --with-xfs \
%endif
  --without-msw \
%if %{with_gtk1}
  --with-gtk \
  --with-gnome \
%else
  --with-athena=3d \
  --with-menubars=lucid \
  --with-scrollbars=lucid \
  --with-dialogs=athena \
  --with-widgets=athena \
  --with-xim=xlib \
%endif
  --with-tty \
  --with-ncurses \
  --with-gpm \
  --with-xpm \
  --with-png \
  --with-jpeg \
  --with-tiff \
  --with-xface \
  --with-gif \
  --with-sound=all \
  --with-mule \
  --without-canna \
  --without-wnn \
  --without-wnn6 \
  --with-clash-detection \
  --with-zlib \
%if %{with_db}
  --with-database=berkdb \
%else
  --with-database=no \
%endif
%if %{with_postgresql}
  --with-postgresql \
%else
  --without-postgresql \
%endif
%if %{with_ldap}
  --with-ldap \
%else
  --without-ldap \
%endif
  --with-mail-locking=lockf \
  --with-pop \
  --without-hesiod \
%ifarch alpha ia64 ppc64 x86_64
  --with-system-malloc \
%endif
  --with-pdump \
%if %{with_modules}
  --with-modules \
%else
  --without-modules \
%endif
  --with-debug \
  --with-error-checking=none

%__make EMACSDEBUGPATHS=yes

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
export EMACSLOADPATH=$PWD/lisp
%__make install \
  prefix=%{buildroot}%{_prefix} \
  datadir=%{buildroot}%{_datadir} \
  libdir=%{buildroot}%{_libdir} \
  mandir=%{buildroot}%{_mandir}/man1 \
  infodir=%{buildroot}%{_infodir} \
  docdir=%{buildroot}%{_libdir}/xemacs-%{xver}/doc \
  archlibdir=%{buildroot}%{_libdir}/xemacs-%{xver}/%{xbuild} \
  moduledir=%{buildroot}%{_libidr}/xemacs-%{xver}/%{xbuild}/modules \
  lispdir=%{buildroot}%{_datadir}/xemacs-%{xver}/lisp \
  etcdir=%{buildroot}%{_datadir}/xemacs-%{xver}/etc \
  gzip-el

%__mkdir_p %{buildroot}%{_libdir}/xemacs-%{xver}/%{_arch}-momonga-linux
%__mv %{buildroot}%{_bindir}/{b2m,ctags,etags,rcs-checkin,gnu*} \
  %{buildroot}%{_libdir}/xemacs-%{xver}/%{_arch}-momonga-linux
%__mv %{buildroot}%{_mandir}/man1/{ctags.1,etags.1,gnu*.1} \
  %{buildroot}%{_libdir}/xemacs-%{xver}/%{_arch}-momonga-linux/

# These conflict with others or noneeds
%__rm -f %{buildroot}%{_infodir}/cl.*
%__rm -f %{buildroot}%{_infodir}/info.*
%__rm -f %{buildroot}%{_infodir}/standards.*
%__rm -f %{buildroot}%{_infodir}/termcap.*
%__rm -f %{buildroot}%{_infodir}/texinfo.*
%__rm -f %{buildroot}%{_infodir}/widget.*
%__rm -f %{buildroot}%{_infodir}/dir

%__install -m 0555 %{SOURCE10} %{buildroot}/%{_bindir}

## for GNOME / KDE Desktop
%__mkdir -p %{buildroot}%{_datadir}/applications
%__install -m 0644 %{SOURCE11} %{buildroot}%{_datadir}/applications/

# icon
%__mkdir -p %{buildroot}%{_datadir}/pixmaps
%__ln_s ../../share/xemacs-%{xver}/etc/xemacs-icon.xpm %{buildroot}%{_datadir}/pixmaps/xemacs.xpm

# Lockdir
%__mkdir_p %{buildroot}/var/lock/xemacs

# trick
pushd %{buildroot}%{_libdir}/%{name}-%{xver}/%{_arch}-momonga-linux
ln -s ../doc/DOC .
ln -s ../doc/config.values .
popd

%if ! %{with_modules}
rm -rf %{buildroot}%{_libdir}/xemacs-%{xver}/%{xbuild}/modules
rm -rf %{buildroot}%{_libdir}/xemacs/site-modules
%endif

## This directory is needed by Momonga's addon emacsen packages.
## Do not edit this part!!
%__mkdir_p %{buildroot}%{_datadir}/xemacs/site-lisp
%__mkdir_p %{buildroot}%{_datadir}/xemacs/site-packages/{etc,info,lib-src,lisp,man,pkginfo}
##

%__mkdir_p %{buildroot}%{_datadir}/config-sample/%{name}
%__install -m 644 %{SOURCE12} %{buildroot}%{_datadir}/config-sample/%{name}

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/beta.info %{_infodir}/dir --section="XEmacs Editor" --entry="* Beta: (beta).      Info on beta versions of XEmacs." || :
/sbin/install-info %{_infodir}/custom.info %{_infodir}/dir || :
/sbin/install-info %{_infodir}/emodules.info %{_infodir}/dir --section "XEmacs Editor" --entry="* Emodules: (emodules).      XEmacs dynamically loadable module support." || :
/sbin/install-info %{_infodir}/external-widget.info %{_infodir}/dir || :
/sbin/install-info %{_infodir}/internals.info %{_infodir}/dir || :
/sbin/install-info %{_infodir}/lispref.info %{_infodir}/dir || :
/sbin/install-info %{_infodir}/new-users-guide.info %{_infodir}/dir || :
/sbin/install-info %{_infodir}/term.info %{_infodir}/dir || :
/sbin/install-info %{_infodir}/xemacs-faq.info %{_infodir}/dir || :
/sbin/install-info %{_infodir}/xemacs.info %{_infodir}/dir || :

for bin in b2m etags ctags rcs-checkin gnuattach gnuclient gnudoit; do
  path=%{_libdir}/%{name}-%{xver}/%{_arch}-momonga-linux/${bin}
  %{_sbindir}/alternatives --install %{_bindir}/${bin} ${bin} ${path} 70
done

%preun
if [ "$1" = 0 ]; then
  /sbin/install-info --delete %{_infodir}/beta.info %{_infodir}/dir || :
  /sbin/install-info --delete %{_infodir}/custom.info %{_infodir}/dir || :
  /sbin/install-info --delete %{_infodir}/emodules.info %{_infodir}/dir || :
  /sbin/install-info --delete %{_infodir}/external-widget.info %{_infodir}/dir || :
  /sbin/install-info --delete %{_infodir}/internals.info %{_infodir}/dir || :
  /sbin/install-info --delete %{_infodir}/lispref.info %{_infodir}/dir || :
  /sbin/install-info --delete %{_infodir}/new-users-guide.info %{_infodir}/dir || :
  /sbin/install-info --delete %{_infodir}/term.info %{_infodir}/dir || :
  /sbin/install-info --delete %{_infodir}/xemacs-faq.info %{_infodir}/dir || :
  /sbin/install-info --delete %{_infodir}/xemacs.info %{_infodir}/dir || :
fi

%postun
for bin in b2m etags ctags rcs-checkin gnuattach gnuclient gnudoit; do
  path=%{_libdir}/%{name}-%{xver}/%{_arch}-momonga-linux/${bin}
  [ -e ${path} ] || %{_sbindir}/alternatives --remove ${bin} ${path}
done  

%files
%defattr(-, root, root)
%doc CHANGES-beta COPYING ChangeLog INSTALL PROBLEMS README
%attr(1777, root, root) /var/lock/xemacs
%{_bindir}/*
%{_datadir}/xemacs-%{xver}
%{_libdir}/xemacs-%{xver}
%{_mandir}/*/*
%{_infodir}/*
%dir %{_datadir}/xemacs
%dir %{_datadir}/xemacs/site-lisp
%dir %{_datadir}/xemacs/site-packages
%dir %{_datadir}/xemacs/site-packages/etc
%dir %{_datadir}/xemacs/site-packages/info
%dir %{_datadir}/xemacs/site-packages/lib-src
%dir %{_datadir}/xemacs/site-packages/lisp
%dir %{_datadir}/xemacs/site-packages/man
%dir %{_datadir}/xemacs/site-packages/pkginfo
%{_datadir}/config-sample/%{name}
%{_datadir}/applications/xemacs.desktop
%{_datadir}/pixmaps/xemacs.xpm
%if %{with_modules}
%dir %{_libdir}/xemacs-%{xver}/%{xbuild}/modules
%dir %{_libdir}/xemacs/site-modules
%endif

%changelog
* Fri May 22 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (21.5.29-1m)
- update to 21.5.29

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (21.5.28-4m)
- rebuild against rpm-4.6

* Wed Jan 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (21.5.28-3m)
- rebuild against gpm-1.20.5

* Sat Nov 15 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (21.5.28-2m)
- fix install-info

* Thu Jul 24 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (21.5.28-1m)
- update to 21.5.28 (based on Fedora)

* Sat Dec  1 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (21.4.20-4m)
- fixed alternatives

* Fri Nov 23 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (21.4.20-3m)
- revised alternatives

* Sat Oct 20 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (21.4.20-2m)
- rebuild against db4-4.6.21

* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (21.4.20-1m)
- update to 21.4.20

* Sun Jan  7 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (21.4.19-7m)
- add BuildPreReq: xorg-x11-xbitmaps

* Fri Nov 17 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (21.4.19-6m)
- rebuild against db-4.5

* Mon Nov 13 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (21.4.19-5m)
- rebuild against openmotif-2.3.0-beta2

* Sun Nov  5 2006 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (21.4.19-4m)
- fix alternatives

* Mon Jul 10 2006 Kazuhiko <kazuhiko@fdiary.net>
- (21.4.19-3m)
- rebuild without libwnn6

* Mon Jul 10 2006 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (21.4.19-2m)
- ctags and etags are now handled by alternatives.

* Sat Feb  4 2006 Kazuhiko <kazuhiko@fdiary.net>
- (21.4.19-1m)
- version up
- remove 'xemacs-21-cursor.patch' that seems to be merged

* Mon Jan  9 2006 Masahiro takahata <takahata@momonga-linux.org>
- (21.4.17-4m)
- rebuild against db4.3

* Tue Oct 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (21.4.17-3m)
- enable ia64

* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (21.4.17-2m)
- elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Thu Feb 10 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (21.4.17-1m)
  update to 21.4.17

* Wed Feb  2 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (21.4.16-4m)
- enable x86_64.
- alpha ia64 ppc64 specific configure args from fc3.

* Thu Jan 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (21.4.16-3m)
- import new xemacs.desktop from Fedora Core

* Sun Jan  9 2005 Toru Hoshina <t@momonga-linux.org>
- (21.4.16-2m)
- rebuild against libwnn6-3.0-17m. libwnn6's SONAME was changed.

* Sun Jan  9 2005 Kazuhiko <kazuhiko@fdiary.net>
- (21.4.16-1m)
- version up

* Sat Dec  4 2004 Mitsuru Shimamura <smbd@momonga-linux.org>
- (21.4.15-4m)
- rebuild against openmotif-2.2.4

* Mon Jun 28 2004 Kazuhiko <kazuhiko@fdiary.net>
- (21.4.15-3m)
- rebuild against db4.2

* Wed Mar 03 2004 mutecat <mutecat@momonga-linux.org>
- (21.4.15-2m)
- add xemacs-21.4.15-ppc.patch

* Mon Feb 16 2004 Kazuhiko <kazuhiko@fdiary.net>
- (21.4.15-1m)

* Wed Dec 24 2003 Kenta MURATA <muraken2@nifty.com>
- (21.4.14-8m)
- fix alternative again (gnuattach, gnudoit).

* Tue Dec 23 2003 Kenta MURATA <muraken2@nifty.com>
- (21.4.14-7m)
- fix alternative again.

* Tue Dec 23 2003 Kenta MURATA <muraken2@nifty.com>
- (21.4.14-6m)
- gnuclient is alternatived for gnuserv-emacs.
- fix alternative.

* Wed Dec 17 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (21.4.14-5m)
- fix alternative at %%postun

* Tue Dec 16 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (21.4.14-4m)
- add patch12 for stack overflow on regex.c

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (21.4.14-3m)
- disable faces
- - delete faces-devel from BuildPreReq
- - set --without-xface at configure
- - reported by ToshiOkada [Momonga-devel.ja:02282]
- s/%%define/%%global/g

* Fri Oct  3 2003 OZAWA Sakuro <crouton@momonga-linux.org>
- (21.4.14-2m)
- adapt alternatives for b2m and rcs-checkin.

* Fri Sep 19 2003 Kazuhiko <kazuhiko@fdiary.net>
- (21.4.14-1m)
- remove 'xemacs-21.4.13-EmacsFrame-fontlock.patch' since it was merged

* Sat Jul 12 2003 Yuya Yamaguchi <bebe@hepo.jp>
- (21.4.13-2m)
- add 'xemacs-21.4.13-EmacsFrame-fontlock.patch' from rawhide

* Fri May 30 2003 Kazuhiko <kazuhiko@fdiary.net>
- (21.4.13-1m)

* Sun May 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (21.4.12-2m)
- revise %%post and %%preun

* Fri Jan 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (21.4.12-1m)
- the 21.4 series is now officially the stable branch of XEmacs

* Mon Jan  6 2003 Junichiro Kita <kita@momonga-linux.org>
- (21.4.11-2m)
- install-info emodules.info

* Sun Jan  5 2003 Kazuhiko <kazuhiko@fdiary.net>
- (21.4.11-1m)

* Wed Nov 27 2002 Kazuhiko <kazuhiko@fdiary.net>
- (21.4.10-1m)

* Wed Oct  2 2002 Kazuhiko <kazuhiko@fdiary.net>
- (21.4.9-2m)
- remove 'xemacs-21.4.6-adhoc.patch'

* Sun Sep 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (21.4.9-1m)

* Tue Aug  6 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (21.4.8-7m)
- disabling etags symlinks

* Thu Aug  1 2002 Kazuhiko <kazuhiko@fdiary.net>
- (21.4.8-6m)
- Momonga

* Wed Jul 31 2002 Kazuhiko <kazuhiko@fdiary.net>
- (21.4.8-5m)
- apply 'xemacs-21.4.6-adhoc.patch' on ppc too

* Tue Jun 11 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (21.4.8-4k)
- SEGV....(T_T)

* Tue May 14 2002 Kazuhiko <kazuhiko@fdiary.net>
- (21.4.8-2k)

* Mon May 13 2002 Toru Hoshina <t@kondara.org>
- (21.4.7-4k)
- rebuild against openmotif-2.2.2-2k.
- tu-ka, katte ni tukawarete simau...

* Mon May  6 2002 Tsutomu Yasuda <tom@kondara.org>
- (21.4.7-2k)
  update to 21.4.7

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (21.4.6-18k)
- rebuild against libpng 1.2.2.

* Wed Mar 20 2002 Kazuhiko <kazuhiko@fdiary.net>
- (21.4.6-16k)
- remove 'Provides: xemacs'

* Thu Feb 21 2002 Shingo Akagaki <dora@kondara.org>
- (21.4.6-14k)
- rebuild against for db3,4

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (21.4.6-12k)
- revise BuildPreReq:

* Mon Feb 18 2002 Kazuhiko <kazuhiko@fdiary.net>
- (21.4.6-10k)
- never handle ctags and ctags.1

* Wed Jan  9 2002 Shingo Akagaki <dora@kondara.org>
- (21.4.6-8k)
- autoconf 1.5

* Thu Dec 27 2001 Kazuhiko <kazuhiko@fdiary.net>
- (21.4.6-6k)
- add an adhoc patch so as to avoid builing failure in Alpha architecture

* Tue Dec 25 2001 Hidetomo Machi <mcHT@kondara.org>
- (21.4.6-4k)
- change build option to lucid from athena

* Fri Dec 21 2001 Kazuhiko <kazuhiko@fdiary.net>
- (21.4.6-2k)
- remove coding-magic patch
- remove read-key-sequence patch

* Wed Dec 19 2001 Kazuhiko <kazuhiko@fdiary.net>
- (21.4.5-20k)
- remove dotemacs

* Tue Dec 11 2001 Kazuhiko <kazuhiko@fdiary.net>
- (21.4.5-18k)
- add dotemacs-0.8.tar.gz

* Tue Dec 11 2001 Kazuhiko <kazuhiko@fdiary.net>
- (21.4.5-16k)
- add a config-sample

* Wed Nov 28 2001 Toru Hoshina <t@kondara.org>
- (21.4.5-14k)
- Patch10: xemacs-21.1.14-xfs.patch (from rawhide) is disabled at this time.

* Fri Nov 23 2001  Hidetomo Machi <mcHT@kondara.org>
- (21.4.5-12k)
- Patch10: xemacs-21.1.14-xfs.patch (from rawhide)
- Patch11: xemacs-21-cursor.patch (from rawhide)
- grub /var/lock/xemacs and some info files
- renewal xdnd-xsmp patch

* Mon Nov 12 2001 Hidetomo Machi <mcHT@kondara.org>
- (21.4.5-10k)
- add xemacs-read-key-sequece.patch
  see <stitchuv2o.fsf@geo.f.axe-inc.co.jp> xemacs-beta-ja@xemacs.org
- arrange patch number
- add /usr/lib/xemacs/site-modules to %dir

* Tue Oct 30 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.4.5-8k)
- fix installing xemacs-editclient 644 -> 0555

* Mon Oct 29 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.4.5-6k)
- add BuildPreReq:
- add coding-magic.patch from ftp.jpl.org
  see <yosuzo7r8kmj.fsf@jpl.org> xemacs-beta-ja@xemacs.org
- add Tabs-I18N from emacs-w3m ML

* Wed Oct 24 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (21.4.5-4k)
  fix source uri

* Wed Oct 24 2001 Hidetomo Machi <>
- (21.4.5-2k)
- modify spec (see cvs diff ;p)

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (21.4.4-8k)
- rebuild against libpng 1.2.0.

* Fri Oct  5 2001 Kazuhiko <kazuhiko@fdiary.net>
- (21.4.4-6k)
- add '--with-tty=yes'

* Fri Sep 14 2001 Kazuhiko <kazuhiko@fdiary.net>
- (21.4.4-4k)
- add '--without-msw' to avoid building problem on a system with Wine

* Sat Jun 28 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.4.4-3k)
- updated to 21.4.4

* Sat Jun 02 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.4.3-3k)
- updated to 21.4.3

* Thu May 10 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.4.2-3k)
- updated to 21.4.2

* Sat Apr 28 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.4.1-3k)
- updated to 21.4.1

* Tue Apr 17 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.4.0-3k)
- updated to 21.4.0

* Mon Apr 16 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.2.47-3k)
- updated to 21.2.47
- new variable %{relver}

* Fri Mar 30 2001 Toru Hoshina <toru@df-usa.com>
- (21.2.46-5k)
- rebuild against audiofile-0.2.1.

* Wed Mar 21 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.2.46-3k)
- updated to 21.2.46
- modified xemacs-21.2.43.xdnd-xsmp.patch
  renamed  xemacs-21.2.46.xdnd-xsmp.patch
  but still not working.

* Tue Feb 27 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.2.45-3k)
- updated to 21.2.45

* Fri Feb 09 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.2.44-3k)
- updated to 21.2.44

* Mon Jan 29 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.2.43-3k)
- updated to 21.2.43
- modified xemacs-21.2.35.xdnd-xsmp.patch
  renamed  xemacs-21.2.43.xdnd-xsmp.patch

* Sun Jan 21 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.2.42-3k)
- updated to 21.2.42

* Wed Jan 17 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.2.41-3k)
- updated to 21.2.41

* Tue Jan 09 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.2.40-5k)
- add option --mail-locking=flock

* Mon Jan 08 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.2.40-3k)
- updated to 21.2.40

* Mon Jan 01 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.2.39-3k)
- updated to 21.2.39

* Sun Dec 24 2000 Kenichi Matsubara <m@kondara.org>
- (21.2.38-7k)
- rebuild against audiofile-0.2.0.

* Fri Dec 15 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- --with-postgresql=no

* Tue Dec 05 2000 Toshiro HIKITA <toshi@sodan.org>
- (21.2.38-3k)
- updated to 21.2.38

* Wed Nov 15 2000 Toshiro HIKITA <toshi@sodan.org>
- (21.2.37-1k)
- updated to 21.2.37
- removed xemacs-21.2.36-ccl.patch

* Thu Oct 19 2000 Hidetomo Machi <mcHT@kondara.org>
- (21.2.36-9k)
- modify specfile (for FHS)

* Sun Oct 08 2000 Toshiro HIKITA <toshi@sodan.org>
- (21.2.36-7k)
- renamed to xemacs-21.2.36 (from xemacs-beta-21.2.36-5k)
- remove option     "--debug"
- change Copyright to License

* Sun Oct 08 2000 Toshiro HIKITA <toshi@sodan.org>
- (21.2.36-5k)
- add xemacs-21.2.36-ccl.patch from xemacs-beta ML
- add xemacs-mule-wnn.patch again

* Sat Oct  7 2000 Kazuhiko <kazuhiko@fdiary.net>
- Obsoletes: xemacs-utf-2000
- add option "--with-widgets=athena"
- remove xemacs-mule-wnn.patch
- fix wnn6 header path automatically

* Wed Oct 04 2000 Toshiro HIKITA <toshi@sodan.org>
- (21.2.36-1k)
- updated to 21.2.36
- removed xemacs-21.2.35+.patch diff with cvs.

* Fri Sep 08 2000 Toshiro HIKITA <toshi@sodan.org>
- (21.2.35-3k)
- add xemacs-21.2.35+.patch diff with cvs.

* Fri Sep 08 2000 Toshiro HIKITA <toshi@sodan.org>
- (21.2.35-2k)
- add xdnd-xsmp.patch modified from kondara.patch
- add option "--with-xdnd"

* Fri Jul 21 2000 Toshiro HIKITA <toshi@sodan.org>
- New Branch XEmacs-Beta 21.2.34 (from Kondara-21.1.11-1k)
- remove kondara.patch
- remove option  "--lockdir=/var/lock/xemacs" "--with-xdnd"
- remove install option "lockdir=/var/lock/xemacs"
- remove Source files "-elc.tar.gz" "-info.tar.gz"
- add mule-wnn.patch
- adopt filenames
- new variable %{betaver}
- remove files /var/lock/xemacs
- add option     "--debug"


* Wed Jul 19 2000 Toshiro HIKITA <toshi@sodan.org>
- update to 21.1.11

* Wed Jul 10 2000 Shingo Akagaki <dora@kondara.org>
- rebuild against libpng-1.0.7

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.


* Wed Jun 28 2000 Hidetomo Machi <mcHT@kondara.org>
- modify xemacs.desktop

* Mon Jun 26 2000 Yoshiki Hayashi <penny@sodan.org>
- update to 21.1.10a.

* Wed Jun  7 2000 Yoshiki Hayashi <penny@sodan.org>
- update to 21.1.10

* Wed Mar 29 2000 Akira Higuchi <a@kondara.org>
- fixed a compilation problem in xsmp.c

* Fri Mar 10 2000 Hidetomo Machi <mcHT@kondara.org>
- avoid to conflict with emacs packages's files (look this spec)
- move lockdir to /var/lock/xemacs from /usr/lib/xemacs/lock
- add option --with-pop

* Wed Feb 23 2000 Hidetomo Machi <mcHT@kondara.org>
- include /usr/lib/xemacs directory

* Sun Feb 21 2000 Hidetomo Machi <mcHT@kondara.org>
- add some directory for Kondara's addon elisp packages
- gzip *.el file

* Sun Feb 20 2000 Akira Higuchi <a@kondara.org>
- Added support for "-unmapped" option in xemacs-editclient
- Specify "-unmapped" option in SmRestartCommand if no frame is visible
- Some minor fixes

* Fri Feb 18 2000 Akira Higuchi <a@kondara.org>
- Fixed a drawing bug in menubar
- Got rid of the annoying "XOpenIM failed" messages

* Wed Feb 16 2000 Akira Higuchi <a@kondara.org>
- Some minor fixes

* Mon Feb 14 2000 Akira Higuchi <a@kondara.org>
- Updated to 21.1.9

* Sun Feb 13 2000 Akira Higuchi <a@kondara.org>
- Bug fixes in dialog.el, gnuserv.el, lwlib-Xaw.c, and xsmp.c
- Moved xsmp-save-yourself to xsmp.el

* Fri Feb 11 2000 Akira Higuchi <a@kondara.org>
- Bug fix in the iso-2022 decoder in file-coding.c

* Wed Feb  9 2000 Akira Higuchi <a@kondara.org>
- Added support for XSMP session management
- Some fixes in xemacs-editclient script
- Bug fixes in gnuserv.el
- Added xemacs.desktop file for the gnome desktop

* Sat Jan  8 2000 Tenkou N. Hattori <tnh@kondara.org>
- with-{canna,wnn,wnn6,xim}.
- without-ldap.

* Wed Dec 22 1999 Akira Higuchi <a@kondara.org>
- Fixed the bug that gnuserv sometimes loses request from client
- Send XdndFinished even when we get an incorrect SelectionNotify event
- Added xemacs-editclient script

* Fri Dec 17 1999 Akira Higuchi <a@kondara.org>
- Added XDND drag-n-drop support (not yet complete, though)
- Fixed the problem that compilation of xemacs-Wnn fails when FreeWnn-devel is installed
- Strip binaries
- Group is Applications/Editors
- Provides xemacsen
